# $Revision: 1.12 $, $Date: 2006/04/17 08:33:04 $
Summary:	GSSAPI interface using mechanisms from other GSSAPI implementations
Summary(pl):	Interfejs GSSAPI uywajcy mechanizmw z innych implementacji GSSAPI
Name:		libgssapi
Version:	0.9
Release:	1
License:	mixture of UM and Sun licenses
Group:		Libraries
Source0:	http://www.citi.umich.edu/projects/nfsv4/linux/libgssapi/%{name}-%{version}.tar.gz
# Source0-md5:	6a71e2d1d0d865baee12f1a1aace0d6a
URL:		http://www.citi.umich.edu/projects/nfsv4/linux/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library exports a GSSAPI interface, but doesn't implement any
GSSAPI mechanisms itself; instead it calls GSSAPI routines in other
libraries, depending on the mechanism.

%description -l pl
Ta biblioteka eksportuje interfejs GSSAPI, ale sama nie implementuje
adnego mechanizmu GSSAPI - zamiast tego wywouje funkcje GSSAPI z
innych bibliotek, w zalenoci od mechanizmu.

%package devel
Summary:	Development files for libgssapi library
Summary(pl):	Pliki programistyczne biblioteki libgssapi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for libgssapi library.

%description devel -l pl
Pliki programistyczne biblioteki libgssapi.

%package static
Summary:	Static libgssapi library
Summary(pl):	Statyczna biblioteka libgssapi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgssapi library.

%description static -l pl
Statyczna biblioteka libgssapi.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D doc/gssapi_mech.conf $RPM_BUILD_ROOT%{_sysconfdir}/gssapi_mech.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libgssapi.so.*.*.*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gssapi_mech.conf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgssapi.so
%{_libdir}/libgssapi.la
%{_includedir}/gssglue
%{_pkgconfigdir}/libgssapi.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgssapi.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgssapi.spec,v $
Revision 1.12  2006/04/17 08:33:04  qboosh
- updated to 0.9

Revision 1.11  2006/04/06 20:19:54  qboosh
- updated to 0.8

Revision 1.10  2005/12/21 20:13:43  qboosh
- updated to 0.7

Revision 1.9  2005/12/09 19:11:39  qboosh
- use Linux-specific config file name

Revision 1.8  2005/12/08 22:21:14  qboosh
- updated to 0.6 (now dlopens particular GSSAPI implementation lib)
- removed outdated configure patch

Revision 1.7  2005/10/05 23:04:14  qboosh
- updated to 0.5

Revision 1.6  2005/08/06 10:51:54  qboosh
- updated to 0.4

Revision 1.5  2005/07/06 19:39:39  arekm
- br heimdal >= 0.7

Revision 1.4  2005/05/04 17:53:16  qboosh
- updated to 0.3, updated configure patch

Revision 1.3  2005/03/29 16:17:48  qboosh
- updated to 0.2, updated configure patch

Revision 1.2  2005/02/28 21:13:33  qboosh
- desc fix: actually no header files in -devel

Revision 1.1  2004/12/22 16:55:49  qboosh
- new
